Gecode::FlatZinc::Registry Class Reference

Map from constraint identifier to constraint posting functions. More...

`#include <registry.hh>`

## Public Types

typedef void(* | poster) (FlatZincSpace &, const ConExpr &, AST::Node *)
| Type of constraint posting function.

## Public Member Functions

void | add (const std::string &id, poster p)
| Add posting function p with identifier id.
void | post (FlatZincSpace &s, const ConExpr &ce)
| Post constraint specified by ce.

## Detailed Description

Map from constraint identifier to constraint posting functions.

Definition at line 44 of file registry.hh.

## Member Typedef Documentation

## poster

typedef void(* Gecode::FlatZinc::Registry::poster) (FlatZincSpace &, const ConExpr &, AST::Node *)

Type of constraint posting function.

Definition at line 47 of file registry.hh.

## Member Function Documentation

## add()

void Gecode::FlatZinc::Registry::add | ( | const std::string & | id,
|  | poster | p )

Add posting function p with identifier id.

Definition at line 69 of file registry.cpp.

## post()

void Gecode::FlatZinc::Registry::post | ( | FlatZincSpace & | s,
|  | const ConExpr & | ce )

Post constraint specified by ce.

Definition at line 59 of file registry.cpp.

The documentation for this class was generated from the following files:

- gecode/flatzinc/registry.hh
- gecode/flatzinc/registry.cpp